List merchants
curl --request GET \
--url https://api.quidkey.com/v1/partners/{id}/merchants \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.quidkey.com/v1/partners/{id}/merchants"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.quidkey.com/v1/partners/{id}/merchants', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.quidkey.com/v1/partners/{id}/merchants",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.quidkey.com/v1/partners/{id}/merchants"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.quidkey.com/v1/partners/{id}/merchants")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.quidkey.com/v1/partners/{id}/merchants")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"result": [
{
"_type": "merchant",
"_uri": "<string>",
"_view": "full",
"id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"partner": {
"_type": "partner",
"id": "<string>"
},
"brand_name": "<string>",
"website_url": "<string>",
"category_code": "<string>",
"country": "<string>",
"status": "pending",
"home_currency": "<string>",
"is_multi_account_allowed": true,
"account_owners": {
"_link": "<string>",
"_type": "collection"
},
"onboarding": {
"_link": "<string>",
"_type": "onboarding",
"id": "<string>"
},
"legal_entities": {
"_link": "<string>",
"_type": "collection"
},
"payment_links": {
"_link": "<string>",
"_type": "collection"
},
"agreement_acceptances": {
"_link": "<string>",
"_type": "collection"
},
"bank_accounts": {
"_link": "<string>",
"_type": "collection"
},
"capabilities": {
"_link": "<string>",
"_type": "collection"
},
"webhook_endpoints": {
"_link": "<string>",
"_type": "collection"
},
"transactions": {
"_link": "<string>",
"_type": "collection"
},
"payouts": {
"_link": "<string>",
"_type": "collection"
}
}
],
"entities": {},
"not_included": [
{
"link": {
"_link": "<string>",
"_type": "<string>",
"id": "<string>"
},
"reason": "no_permission"
}
],
"pagination": {
"type": "cursor",
"limit": 50,
"next_cursor": "<string>",
"has_more": true
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"field": "<string>",
"message": "<string>"
}
],
"retryable": true,
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"field": "<string>",
"message": "<string>"
}
],
"retryable": true,
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"field": "<string>",
"message": "<string>"
}
],
"retryable": true,
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"field": "<string>",
"message": "<string>"
}
],
"retryable": true,
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"field": "<string>",
"message": "<string>"
}
],
"retryable": true,
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"field": "<string>",
"message": "<string>"
}
],
"retryable": true,
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"field": "<string>",
"message": "<string>"
}
],
"retryable": true,
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"field": "<string>",
"message": "<string>"
}
],
"retryable": true,
"request_id": "<string>"
}
}Merchants
List merchants
Lists a partner’s merchants, newest first. Merchant credentials have no list, since merchants:list is a partner permission: a merchant credential reads its merchant through owner on GET /api-keys/current.
Credentials: partner
Permission: merchants:list
List merchants
curl --request GET \
--url https://api.quidkey.com/v1/partners/{id}/merchants \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.quidkey.com/v1/partners/{id}/merchants"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.quidkey.com/v1/partners/{id}/merchants', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.quidkey.com/v1/partners/{id}/merchants",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.quidkey.com/v1/partners/{id}/merchants"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.quidkey.com/v1/partners/{id}/merchants")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.quidkey.com/v1/partners/{id}/merchants")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"result": [
{
"_type": "merchant",
"_uri": "<string>",
"_view": "full",
"id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"partner": {
"_type": "partner",
"id": "<string>"
},
"brand_name": "<string>",
"website_url": "<string>",
"category_code": "<string>",
"country": "<string>",
"status": "pending",
"home_currency": "<string>",
"is_multi_account_allowed": true,
"account_owners": {
"_link": "<string>",
"_type": "collection"
},
"onboarding": {
"_link": "<string>",
"_type": "onboarding",
"id": "<string>"
},
"legal_entities": {
"_link": "<string>",
"_type": "collection"
},
"payment_links": {
"_link": "<string>",
"_type": "collection"
},
"agreement_acceptances": {
"_link": "<string>",
"_type": "collection"
},
"bank_accounts": {
"_link": "<string>",
"_type": "collection"
},
"capabilities": {
"_link": "<string>",
"_type": "collection"
},
"webhook_endpoints": {
"_link": "<string>",
"_type": "collection"
},
"transactions": {
"_link": "<string>",
"_type": "collection"
},
"payouts": {
"_link": "<string>",
"_type": "collection"
}
}
],
"entities": {},
"not_included": [
{
"link": {
"_link": "<string>",
"_type": "<string>",
"id": "<string>"
},
"reason": "no_permission"
}
],
"pagination": {
"type": "cursor",
"limit": 50,
"next_cursor": "<string>",
"has_more": true
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"field": "<string>",
"message": "<string>"
}
],
"retryable": true,
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"field": "<string>",
"message": "<string>"
}
],
"retryable": true,
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"field": "<string>",
"message": "<string>"
}
],
"retryable": true,
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"field": "<string>",
"message": "<string>"
}
],
"retryable": true,
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"field": "<string>",
"message": "<string>"
}
],
"retryable": true,
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"field": "<string>",
"message": "<string>"
}
],
"retryable": true,
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"field": "<string>",
"message": "<string>"
}
],
"retryable": true,
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"field": "<string>",
"message": "<string>"
}
],
"retryable": true,
"request_id": "<string>"
}
}